@mixin app-client-placements-history-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  $banner_header_color: #8f431a;
  $disable_background_color: #e5e8e8;

  app-client-placements-history {
    width: 100%;
    padding: 5px;
    overflow-x: hidden;
  }

  .client-placements-history {
    margin-top: 25px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .ag-theme-balham .ag-row-group {
      font-weight: bold;
      font-size: 1.2em;
      color: mat-color($primary);
    }

    .cph-main-card {
      display: flex;
      flex-direction: column;
      padding: 0px;
      background-color: mat-color($primary, 50);

      .mat-card-header {
        width: 100%;

        .banner-header {
          margin-top: 0px;
          margin-bottom: 0px;
          margin-left: 5px;
          font-size: 1em;
          font-weight: 600;
          color: $banner_header_color;
        }

        .second-header-filter {
          display: flex;
          background-color: white;
          border: 2px solid mat-color($primary, 100);
          border-radius: 5px;
          padding: 10px;
          margin-bottom: 10px;
          font-size: 0.9em;

          .stats {
            cursor: pointer;
            display: flex;
            flex: auto;
            justify-content: center;
            // b {
            //   color: mat-color($primary);
            // }
          }
          // .stats:first-child {
          //   justify-content: flex-start;
          // }

          // span:hover {
          //   color: mat-color($accent);
          // }
        }
      }

      .mat-card-content {
        .example-small-box {
          display: flex;
          align-items: center;
          justify-content: center;
          background: white;

          .table-filters-header {
            width: 100%;
            background-color: white;
            border: 1px solid #eaf0fb;
            // padding: 10px;

            .vcsid {
              font-size: 0.6em;
            }
            .vh-dialog-link {
              cursor: pointer;
              line-height: 25px;
              padding: 5px;
            }

            .vh-dialog-link:hover {
              color: $banner_header_color;
            }

            .table-top-icons {
              mat-icon {
                padding: 5px;
              }
              mat-icon:hover {
                cursor: pointer;
                color: mat-color($warn);
              }
            }
          }
          .blue-label {
            color: mat-color($primary);
          }

          .example-container {
            width: 100%;
            margin-right: 10px;
            margin-left: 10px;

            .vcu-info-icon {
              font-size: 1.4em;
              padding-left: 5px;
              padding-top: 5px;
              color: mat-color($primary);
            }

            .placement-form-content {
              padding: 5px;
              .banner-header {
                margin-top: 0px;
                margin-bottom: 0px !important;
                margin-left: 15px;
                font-size: 1em;
                font-weight: 600;
                color: $banner_header_color;
              }
              .banner-details {
                display: flex;
                background-color: white;
                border: 2px solid mat-color($primary, 100);
                border-radius: 5px;
                padding: 5px;
                margin: 5px;
                margin-bottom: 10px;
                font-size: 1em;

                .details-text {
                  font-size: 0.9em;
                  display: flex;
                  flex: auto;
                  flex-basis: 0;
                  margin-right: 5px;
                }

                b {
                  color: mat-color($primary);
                  margin-right: 5px;
                }

                .doc {
                  mat-icon {
                    vertical-align: middle;
                  }
                }
              }
              .line-break {
                // padding: 0px 8px;
                display: table;
                margin-top: -24px;
              }
              .main-form {
                .mat-expansion-panel {
                  border-radius: 0px;
                  margin-top: 5px;

                  .mat-expansion-panel-header {
                    // background-color: mat-color($primary, 400);
                    background-color: white !important;
                    max-height: 20px !important;
                  }

                  .mat-expansion-panel-header-title {
                    color: $banner_header_color;

                    span {
                      padding: 5px;
                    }
                  }

                  .mat-expansion-panel-header-title:hover {
                    color: mat-color($warn, 500);
                  }

                  .mat-expansion-indicator {
                    visibility: hidden;
                  }

                  .mat-expansion-panel-body {
                    padding: 10px;
                    padding-top: 0px;
                  }
                }

                .form-details {
                  display: flex;
                  background-color: white;
                  border: 2px solid mat-color($primary, 100);
                  border-radius: 5px;
                  padding: 12px 5px;
                  padding-bottom: 0px;
                  margin: 5px;
                  // margin-bottom: 10px;
                  font-size: 1em;
                  line-height: 40px;

                  mat-label {
                    width: 120px;
                    margin-left: 20px;
                  }

                  .mat-form-field {
                    width: 250px;
                  }

                  .provider-comments {
                    cursor: pointer;
                    margin-left: 20px;
                  }
                  .provider-comments:hover {
                    color: $banner_header_color;
                  }
                }
                .disable-background {
                  background-color: $disable_background_color;
                }
              }
            }
            .foot-notes {
              text-align: left;

              .color-grade {
                padding: 1px 20px;
                margin: 10px;
                line-height: 30px;
                background-color: sandybrown;
                border-radius: 10px;
              }
            }
          }
        }
        .btn-section {
          width: 100%;
          background-color: white;
          border: 1px solid #eaf0fb;
          padding: 10px;
          margin: 5px 0px;
        }
      }
    }
  }
}
